### Method

# Fwupd Remote set_checksum

since: 1.8.2

#### Declaration [src]

    void
    fwupd_remote_set_checksum (
      FwupdRemote* self,
      const gchar* checksum_sig
    )

#### Description [src]

Sets the remote signature checksum, typically only useful in the self tests.

NOTE: This should have been called `fwupd_remote_set_checksum_sig()` but alas, ABI.

Available since: 1.8.2

#### Parameters

`checksum_sig`

  Type: `const gchar*`

  Checksum string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.